Additional Support Requirements for Rhapsody 8 releases

Product documentation


Abstract

The following requirements are missing from the Detailed System Requirements reports and must be considered before installing the IBM Rational Rhapsody 8 releases.

Content

The following requirements are missing from the system requirements reports and must be considered before installing the IBM Rational Rhapsody 8 releases.

Supported RTOSes not listed in the system requirements report
If you are building applications for one of these environments, you must first rebuild the Rational Rhapsody framework libraries by using the Code > Build Framework menu option.
RTOS support is available only in Rational Rhapsody Developer. If you are using Rational Rhapsody Designer for Systems Engineers, you can only run simulations for the following environments: Cygwin, MSVC9.

INTEGRITY (Green Hills)

    • 5.0.4 - Windows version of Rational Rhapsody - C, C++, Ada
    • 5.0.7 - Linux version of Rational Rhapsody - C and C++ only

Note: If you want to use Green Hills INTEGRITY, contact  Rational Rhapsody Support.

Linux Professional Edition 5.0 (MontaVista)

    • Rational Rhapsody Developer for C and C++ - only available in Linux version of Rational Rhapsody

Nucleus 1.13.7 (Mentor Graphics)
    • Rational Rhapsody Developer for C and C++

ObjectAda V7.2 (Raven/PowerPC) (Aonix)
    • Ada

OSE Delta 4.5 (Enea)
    • Rational Rhapsody Developer for C++

QNX Neutrino 6.5.0 (included in QNX Software Development Platform 6.5.0) (QNX)
    • Rational Rhapsody Developer for C and C++

Red Hat (Enterprise Linux)
    • 5.0 - Rational Rhapsody Developer for C and C++

Solaris 2.8, 2.9 (Sun)
    • Rational Rhapsody Developer for C and C++
Note: Solaris targets are not supported by Rational Rhapsody Developer for Ada.

VxWorks 6.8, 6.9 (WindRiver)
    • Rational Rhapsody Developer for C and C++

VxWorks653 v2.3 (WindRiver)
  • Rational Rhapsody Developer for C and C++

Windows Embedded CE 6.0 (Microsoft)
    • Rational Rhapsody Developer for C++

Supported IDEs not listed in the system requirements report

MULTI (Green Hills)

    • 3.5 - Windows version of Rational Rhapsody - C++ and Ada only
    • 4.0.5 - Windows version of Rational Rhapsody - C, C++ and Ada
    • 4.2.3 - Linux version of Rational Rhapsody - C and C++ only

Tornado 2.2 - C, C++ (Wind River)

Workbench 3.2 (VxWorks 6.8, VxWorks653 v2.3), 3.3 (VxWorks 6.9) - C, C++ (Wind River)

Note
: In Linux only, the "debug synchronization" feature does not work with Workbench 3.3. It only works with Workbench 3.2 (VxWorks 6.8).

Supported compilers not listed in the system requirements report

When using compiler versions other than the ones listed here, you must recompile the OXF libraries.

Apex 4.4.0 (Atego)

    • Rational Rhapsody Developer for Ada on Linux

Cygwin 1.7.15
    • C, C++

Diab Data 4.3f (Nucleus)
    • Rational Rhapsody Developer for C++ and C

Forte 6.1
    • Rational Rhapsody Developer for C++ and Rational Rhapsody Developer for Java on Solaris

      Note: To properly build an application with the Sun Forte 6.1 compiler, the following patches must be installed with the compiler: 107355-05, 107357-09, 107311-10, 107295-01, and 107289-05.

gcc
    • 2.95, 3.4.6 (Solaris)
    • 4.4.2 (QNX)
    • 2.96 (Tornado 2.2)
    • 4.5.3 (Cygwin)

GHS MULTI
    • Multi Linux - 4.0 - C, C++
    • INTEGRITY - Rational Rhapsody Developer for C, C++, Ada
      • INTEGRITY 5.0 target + INTEGRITY 5.0 Standard (ANSI/ISO) C++ cross-compiler (Windows and Linux, generating binaries for INTEGRITY)

GNAT 6.0.2
    • Rational Rhapsody Developer for Ada

Java 2 SDK 1.5, Java SE 6, IBM Java 5.0, or IBM Java 6.0
    • Rational Rhapsody Developer for Java and Rational Rhapsody Developer for Ada

ObjectAda 7.22 (Aonix)
    • Rational Rhapsody Developer for Ada only

Visual Studio .NET 2008 Professional Edition (Microsoft)
Note: The Microsoft Visual Studio .NET compiler is supported; however, .NET features are not supported.

Visual Studio 2010, 2012 Professional Edition (Microsoft)



Supported third-party applications not listed in the system requirements report

Android SDK
    • Profile provided supports Android SDK 4.0

CORBA
    • ACE 6.1.2
    • TAO 2.1.2

Microsoft Office
    • ReporterPLUS is supported on Microsoft Office 2000 and 2002

PVCS Dimensions (Serena)
    • 9.1 supported in Windows version of Rational Rhapsody

Subversion (SVN)
    • Supported in Rational Rhapsody Eclipse Platform Integration only, which is available only on Windows

Visual Basic/VBA (Microsoft)
    • 6.3

For MATLAB, Simulink (The MathWorks); and Maxima, the following table lists Rational Rhapsody features and their required components.

Rational Rhapsody feature Required components
Parametric Constraint Evaluator MATLAB + Symbolic Math Toolbox, or Maxima 5.24.0 and future versions
S-Function Code Generation MATLAB + Mathworks Simulink 2007B and future versions
Plant Model Simulation MATLAB + Mathworks Simulink 2007B and future versions
Hosted Simulation MATLAB + Mathworks Simulink 2007B and future versions + Real-Time Workshop Embedded Coder



No longer supported


Microsoft Visual C++ Studio 6.0 SP-3

Red Hat 4

Wind River VxWorks 6.6 and Wind River Workbench 3.0

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

Rational Rhapsody
General Information

Software version:

8.0, 8.0.1, 8.0.2, 8.0.3, 8.0.4, 8.0.5, 8.0.6

Operating system(s):

Linux, Windows

Reference #:

7036481

Modified date:

2014-02-28

Translate my page

Machine Translation

Content navigation